## distro-info 0.21

=== Makefile ===
define \n


endef

PREFIX ?= /usr
VENDOR ?= $(shell dpkg-vendor --query Vendor | tr '[:upper:]' '[:lower:]')

CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
CFLAGS += -Wall -Wextra -g -O2 -std=gnu99
LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)

build: debian-distro-info ubuntu-distro-info

%-distro-info: %-distro-info.c distro-info-util.*
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $<

install: debian-distro-info ubuntu-distro-info
	install -d $(DESTDIR)$(PREFIX)/bin
	install -m 755 $^ $(DESTDIR)$(PREFIX)/bin
	ln -s $(VENDOR)-distro-info $(DESTDIR)$(PREFIX)/bin/distro-info
	install -d $(DESTDIR)$(PREFIX)/share/man/man1
	install -m 644 $(wildcard doc/*.1) $(DESTDIR)$(PREFIX)/share/man/man1
	install -d $(DESTDIR)$(PREFIX)/share/perl5/Debian
	install -m 644 $(wildcard perl/Debian/*.pm) $(DESTDIR)$(PREFIX)/share/perl5/Debian
	cd python && python setup.py install --root="$(DESTDIR)" --no-compile --install-layout=deb
	cd python && python3 setup.py install --root="$(DESTDIR)" --no-compile --install-layout=deb

test: test-commandline test-perl test-python

test-commandline: debian-distro-info ubuntu-distro-info
	./test-debian-distro-info
	./test-ubuntu-distro-info

test-perl:
	cd perl && ./test.pl

test-python:
	$(foreach python,$(shell pyversions -r && py3versions -r),cd python && $(python) setup.py test$(\n))

clean:
	rm -rf debian-distro-info ubuntu-distro-info python/build python/*.egg-info python/.pylint.d
	find python -name '*.pyc' -delete

.PHONY: build clean install test test-commandline test-perl test-python

=== debian/control ===
Source: distro-info
Section: devel
Priority: optional
Maintainer: Benjamin Drung <bdrung@debian.org>
Uploaders: Stefano Rivera <stefanor@debian.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               distro-info-data (>= 0.7~),
               pylint,
               pylint3,
               python-all (>= 2.6.3-3~),
               python-flake8,
               python-setuptools,
               python-unittest2,
               python3-all,
               python3-flake8,
               python3-setuptools,
               shunit2 (>= 2.1.6)
Standards-Version: 4.3.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/distro-info.git
Vcs-Browser: https://salsa.debian.org/debian/distro-info

Package: distro-info
Architecture: any
Depends: distro-info-data (>= 0.7~), ${misc:Depends}, ${shlibs:Depends}
Suggests: shunit2 (>= 2.1.6)
Breaks: ubuntu-dev-tools (<< 0.133~)
Replaces: ubuntu-dev-tools (<< 0.127~)
Description: provides information about the distributions' releases
 Information about all releases of Debian and Ubuntu. The distro-info script
 will give you the codename for e.g. the latest stable release of your
 distribution. To get information about a specific distribution there are the
 debian-distro-info and the ubuntu-distro-info scripts.

Package: libdistro-info-perl
Architecture: all
Section: perl
Depends: distro-info-data, ${misc:Depends}, ${perl:Depends}
Description: information about distributions' releases (Perl module)
 Information about all releases of Debian and Ubuntu.
 .
 This package contains a Perl module for parsing the data in distro-info-data.
 There is also a command line interface in the distro-info package.

Package: python-distro-info
Architecture: all
Section: python
Depends: distro-info-data, ${misc:Depends}, ${python:Depends}
Breaks: distro-info (<< 0.3~)
Replaces: distro-info (<< 0.3~)
Description: information about distributions' releases (Python module)
 Information about all releases of Debian and Ubuntu.
 .
 This package contains a Python module for parsing the data in
 distro-info-data. There is also a command line interface in the distro-info
 package.

Package: python3-distro-info
Architecture: all
Section: python
Depends: distro-info-data, ${misc:Depends}, ${python3:Depends}
Description: information about distributions' releases (Python 3 module)
 Information about all releases of Debian and Ubuntu.
 .
 This package contains a Python 3 module for parsing the data in
 distro-info-data. There is also a command line interface in the distro-info
 package.

=== debian/tests/control ===
Test-Command: COMMAND=/usr/bin/debian-distro-info ./test-debian-distro-info
Depends: distro-info, shunit2 (>= 2.1.6)
Features: test-name=test-debian-distro-info

Test-Command: COMMAND=/usr/bin/ubuntu-distro-info ./test-ubuntu-distro-info
Depends: distro-info, shunit2 (>= 2.1.6)
Features: test-name=test-ubuntu-distro-info

Test-Command: cp -r python/distro_info_test python/*-distro-info python/setup.py "$AUTOPKGTEST_TMP"; for py in $(py3versions -r 2>/dev/null); do cd "$AUTOPKGTEST_TMP"; echo "Testing with $py:"; $py -m unittest discover -v; done
Depends: pylint3, python3-all, python3-distro-info, python3-flake8
Restrictions: allow-stderr
Features: test-name=python3-unittest

Test-Command: cp -r python/distro_info_test python/*-distro-info python/setup.py "$AUTOPKGTEST_TMP"; for py in $(pyversions -r 2>/dev/null); do cd "$AUTOPKGTEST_TMP"; echo "Testing with $py:"; $py -m unittest discover -v; done
Depends: pylint, python-all, python-distro-info, python-flake8
Restrictions: allow-stderr
Features: test-name=python-unittest

## distro-info 0.21ubuntu2

=== debian/changelog ===
distro-info (0.21ubuntu2) disco; urgency=medium

  * Only include LTS releases when filtering by supported-esm.

 -- Brian Murray <brian@ubuntu.com>  Mon, 04 Mar 2019 08:51:32 -0800

distro-info (0.21ubuntu1) disco; urgency=medium

  * Provide support for the milestone eol-esm and add filters for
    supported-esm to ubuntu-distro-info along with the python and perl
    modules. (LP: #1808038)

 -- Brian Murray <brian@ubuntu.com>  Wed, 27 Feb 2019 12:49:49 -0800

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: distro-info
 Section: devel
 Priority: optional
-Maintainer: Benjamin Drung <bdrung@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Benjamin Drung <bdrung@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends: debhelper (>= 11),
                dh-python,
-               distro-info-data (>= 0.7~),
+               distro-info-data (>= 0.39ubuntu1),
                pylint,
                pylint3,
                python-all (>= 2.6.3-3~),
@@ -23,7 +24,7 @@
 
 Package: distro-info
 Architecture: any
-Depends: distro-info-data (>= 0.7~), ${misc:Depends}, ${shlibs:Depends}
+Depends: distro-info-data (>= 0.39ubuntu1), ${misc:Depends}, ${shlibs:Depends}
 Suggests: shunit2 (>= 2.1.6)
 Breaks: ubuntu-dev-tools (<< 0.133~)
 Replaces: ubuntu-dev-tools (<< 0.127~)

## distro-info 0.21ubuntu4

=== Makefile ===
--- 
+++ 
@@ -37,7 +37,7 @@
 	cd perl && ./test.pl
 
 test-python:
-	$(foreach python,$(shell pyversions -r && py3versions -r),cd python && $(python) setup.py test$(\n))
+	$(foreach python,$(shell py3versions -r),cd python && $(python) setup.py test$(\n))
 
 clean:
 	rm -rf debian-distro-info ubuntu-distro-info python/build python/*.egg-info python/.pylint.d

=== debian/changelog ===
distro-info (0.21ubuntu4) eoan; urgency=medium

  * Also adjust build-dependencies for the pylint3/pylint rename.
  * Override uninteresting flake8 warnings about imports and doc strings.
  * Don't run tests over the distro_info_test directory, which is pointless
    and recursive.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 02 Sep 2019 09:51:58 -0700

distro-info (0.21ubuntu3) eoan; urgency=medium

  * Drop the python2 autopkgtest; there are still python2 reverse-depends
    so the python2 package can't go away yet but the test deps should go
    away not.  Better to drop the python2 tests than to override failing
    tests.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 02 Sep 2019 09:40:34 -0700

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
                dh-python,
                distro-info-data (>= 0.39ubuntu1),
                pylint,
-               pylint3,
                python-all (>= 2.6.3-3~),
                python-flake8,
                python-setuptools,

=== debian/tests/control ===
Test-Command: COMMAND=/usr/bin/debian-distro-info ./test-debian-distro-info
Depends: distro-info, shunit2 (>= 2.1.6)
Features: test-name=test-debian-distro-info

Test-Command: COMMAND=/usr/bin/ubuntu-distro-info ./test-ubuntu-distro-info
Depends: distro-info, shunit2 (>= 2.1.6)
Features: test-name=test-ubuntu-distro-info

Test-Command: cp -r python/distro_info_test python/*-distro-info python/setup.py "$AUTOPKGTEST_TMP"; for py in $(py3versions -r 2>/dev/null); do cd "$AUTOPKGTEST_TMP"; echo "Testing with $py:"; $py -m unittest discover -v; done
Depends: pylint, python3-all, python3-distro-info, python3-flake8
Restrictions: allow-stderr
Features: test-name=python3-unittest

## distro-info 0.21+deb10u1

=== debian/changelog ===
distro-info (0.21+deb10u1) buster-security; urgency=medium

  * Non-security LTS update, enabling distro-info-data updates:
    - Handle currently unknown columns in CSV data.
    - Make the Python module version PEP440 compliant.
    - Update tests for distro-info-data 41+deb10u8, which adjusted Ubuntu
      10.04 and 12.04's EoL
    - Change test unknown eol-server dates to use Ubuntu 12.10, which won't
      get ESM data in the future, if we include extra distro-info-data
      columns.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 30 Oct 2023 11:39:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: distro-info
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Benjamin Drung <bdrung@debian.org>
+Maintainer: Benjamin Drung <bdrung@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends: debhelper (>= 11),
                dh-python,
-               distro-info-data (>= 0.39ubuntu1),
+               distro-info-data (>= 0.41+deb10u8~),
                pylint,
+               pylint3,
                python-all (>= 2.6.3-3~),
                python-flake8,
                python-setuptools,
@@ -23,7 +23,7 @@
 
 Package: distro-info
 Architecture: any
-Depends: distro-info-data (>= 0.39ubuntu1), ${misc:Depends}, ${shlibs:Depends}
+Depends: distro-info-data (>= 0.7~), ${misc:Depends}, ${shlibs:Depends}
 Suggests: shunit2 (>= 2.1.6)
 Breaks: ubuntu-dev-tools (<< 0.133~)
 Replaces: ubuntu-dev-tools (<< 0.127~)

## distro-info 0.21+nmu1

=== debian/changelog ===
distro-info (0.21+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:22:12 +0800

## distro-info 0.23

=== debian/changelog ===
distro-info (0.23) unstable; urgency=medium

  * Drop python2 support; Closes: #943052, #936408

 -- Sandro Tosi <morph@debian.org>  Wed, 08 Jan 2020 23:06:26 -0500

distro-info (0.22) unstable; urgency=medium

  * Drop testing Python 2 code with Pylint
  * Rename build dependency pylint3 to pylint (Closes: #940178)
  * Switch to debhelper 12
  * Bump Standards-Version to 4.4.0 (no changes needed)

 -- Benjamin Drung <bdrung@debian.org>  Sat, 14 Sep 2019 15:44:13 +0200

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,15 @@
 Priority: optional
 Maintainer: Benjamin Drung <bdrung@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
-               distro-info-data (>= 0.41+deb10u8~),
-               pylint,
-               pylint3,
-               python-all (>= 2.6.3-3~),
-               python-flake8,
-               python-setuptools,
-               python-unittest2,
+               distro-info-data (>= 0.7~),
+               pylint (>= 2.2.2-2~),
                python3-all,
                python3-flake8,
                python3-setuptools,
                shunit2 (>= 2.1.6)
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/distro-info.git
 Vcs-Browser: https://salsa.debian.org/debian/distro-info
@@ -43,19 +38,6 @@
  This package contains a Perl module for parsing the data in distro-info-data.
  There is also a command line interface in the distro-info package.
 
-Package: python-distro-info
-Architecture: all
-Section: python
-Depends: distro-info-data, ${misc:Depends}, ${python:Depends}
-Breaks: distro-info (<< 0.3~)
-Replaces: distro-info (<< 0.3~)
-Description: information about distributions' releases (Python module)
- Information about all releases of Debian and Ubuntu.
- .
- This package contains a Python module for parsing the data in
- distro-info-data. There is also a command line interface in the distro-info
- package.
-
 Package: python3-distro-info
 Architecture: all
 Section: python

## distro-info 0.23ubuntu1

=== debian/changelog ===
distro-info (0.23ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Provide support for the milestone eol-esm and add filters for
      supported-esm to ubuntu-distro-info along with the python and perl
      modules.
    - Override uninteresting flake8 warnings about imports and doc strings.
    - Don't run tests over the distro_info_test directory, which is
      pointless and recursive.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Feb 2020 12:10:55 -0800

distro-info (0.22ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Provide support for the milestone eol-esm and add filters for
      supported-esm to ubuntu-distro-info along with the python and perl
      modules.
    - Override uninteresting flake8 warnings about imports and doc strings.
    - Don't run tests over the distro_info_test directory, which is
      pointless and recursive.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 18 Oct 2019 15:52:02 -0700

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: distro-info
 Section: devel
 Priority: optional
-Maintainer: Benjamin Drung <bdrung@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Benjamin Drung <bdrung@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-python,
-               distro-info-data (>= 0.7~),
+               distro-info-data (>= 0.39ubuntu1),
                pylint (>= 2.2.2-2~),
                python3-all,
                python3-flake8,
@@ -18,7 +19,7 @@
 
 Package: distro-info
 Architecture: any
-Depends: distro-info-data (>= 0.7~), ${misc:Depends}, ${shlibs:Depends}
+Depends: distro-info-data (>= 0.39ubuntu1), ${misc:Depends}, ${shlibs:Depends}
 Suggests: shunit2 (>= 2.1.6)
 Breaks: ubuntu-dev-tools (<< 0.133~)
 Replaces: ubuntu-dev-tools (<< 0.127~)

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3

## distro-info 0.23ubuntu1.1

=== debian/changelog ===
distro-info (0.23ubuntu1.1) focal; urgency=medium

  * python: Use PEP440 compliant version in setup.py (LP: #1991606)
  * Update tests to match old date adjustments in distro-info-data 0.46.

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 25 Apr 2023 15:57:38 +0200

## distro-info 0.23ubuntu1.1%2B10.0trisquel2

=== shell/Makefile ===
PREFIX ?= /usr
VENDOR ?= $(shell dpkg-vendor --query Vendor | tr '[:upper:]' '[:lower:]')

build: debian-distro-info trisquel-distro-info

%-distro-info: debian-distro-info.in distro-info-util.sh
	sed -e '/^\. .*distro-info-util.sh\"$$/r distro-info-util.sh' $< | \
		sed -e '/^##/d;/^\. .*distro-info-util.sh\"$$/d' | \
		python -c 'import re,sys;print re.sub("(?<=\n)#BEGIN \w*#\n(.|\n)*?\n#END \w*#\n", "", re.sub("(?<=\n)#(BEGIN|END) $*#\n", "", sys.stdin.read())),' > $@
	chmod +x $@

install: debian-distro-info trisquel-distro-info
	install -d $(DESTDIR)$(PREFIX)/bin
	install -m 755 $^ $(DESTDIR)$(PREFIX)/bin
	ln -s $(VENDOR)-distro-info $(DESTDIR)$(PREFIX)/bin/distro-info

clean:
	rm -f debian-distro-info trisquel-distro-info

.PHONY: build clean install

=== debian/changelog ===
distro-info (0.23ubuntu1.1+10.0trisquel2) nabia; urgency=medium

  * Reworking and branding Trisquel GNU/Linux distro info.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 06 Aug 2023 14:59:32 +0000

=== debian/control ===
Source: distro-info
Section: devel
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
XSBC-Original-Maintainer: Benjamin Drung <bdrung@debian.org>
Uploaders: Stefano Rivera <stefanor@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               distro-info-data (>= 0.39trisquel1),
               pylint (>= 2.2.2-2~),
               python3-all,
               python3-flake8,
               python3-setuptools,
               shunit2 (>= 2.1.6)
Standards-Version: 4.4.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/distro-info.git
Vcs-Browser: https://salsa.debian.org/debian/distro-info

Package: distro-info
Architecture: any
Depends: distro-info-data (>= 0.39trisquel1), ${misc:Depends}, ${shlibs:Depends}
Suggests: shunit2 (>= 2.1.6)
Breaks: trisquel-dev-tools (<< 0.133~)
Replaces: trisquel-dev-tools (<< 0.127~)
Description: provides information about the distributions' releases
 Information about all releases of Debian and Trisquel. The distro-info script
 will give you the codename for e.g. the latest stable release of your
 distribution. To get information about a specific distribution there are the
 debian-distro-info and the trisquel-distro-info scripts.

Package: libdistro-info-perl
Architecture: all
Section: perl
Depends: distro-info-data, ${misc:Depends}, ${perl:Depends}
Description: information about distributions' releases (Perl module)
 Information about all releases of Debian and Trisquel.
 .
 This package contains a Perl module for parsing the data in distro-info-data.
 There is also a command line interface in the distro-info package.

Package: python3-distro-info
Architecture: all
Section: python
Depends: distro-info-data, ${misc:Depends}, ${python3:Depends}
Description: information about distributions' releases (Python 3 module)
 Information about all releases of Debian and Trisquel.
 .
 This package contains a Python 3 module for parsing the data in
 distro-info-data. There is also a command line interface in the distro-info
 package.

## distro-info 0.24

=== debian/changelog ===
distro-info (0.24) unstable; urgency=medium

  * Fix issues found by pylint 2.6.0 (Closes: #971094)
  * Blacken Python code
  * python: Define sets directly
  * Bump Standards-Version to 4.5.0
  * Switch to debhelper 13

 -- Benjamin Drung <bdrung@debian.org>  Mon, 28 Sep 2020 19:36:32 +0200

=== debian/control ===
Source: distro-info
Section: devel
Priority: optional
Maintainer: Benjamin Drung <bdrung@debian.org>
Uploaders: Stefano Rivera <stefanor@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               distro-info-data (>= 0.7~),
               pylint (>= 2.2.2-2~),
               python3-all,
               python3-flake8,
               python3-setuptools,
               shunit2 (>= 2.1.6)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/distro-info.git
Vcs-Browser: https://salsa.debian.org/debian/distro-info

Package: distro-info
Architecture: any
Depends: distro-info-data (>= 0.7~), ${misc:Depends}, ${shlibs:Depends}
Suggests: shunit2 (>= 2.1.6)
Breaks: ubuntu-dev-tools (<< 0.133~)
Replaces: ubuntu-dev-tools (<< 0.127~)
Description: provides information about the distributions' releases
 Information about all releases of Debian and Ubuntu. The distro-info script
 will give you the codename for e.g. the latest stable release of your
 distribution. To get information about a specific distribution there are the
 debian-distro-info and the ubuntu-distro-info scripts.

Package: libdistro-info-perl
Architecture: all
Section: perl
Depends: distro-info-data, ${misc:Depends}, ${perl:Depends}
Description: information about distributions' releases (Perl module)
 Information about all releases of Debian and Ubuntu.
 .
 This package contains a Perl module for parsing the data in distro-info-data.
 There is also a command line interface in the distro-info package.

Package: python3-distro-info
Architecture: all
Section: python
Depends: distro-info-data, ${misc:Depends}, ${python3:Depends}
Description: information about distributions' releases (Python 3 module)
 Information about all releases of Debian and Ubuntu.
 .
 This package contains a Python 3 module for parsing the data in
 distro-info-data. There is also a command line interface in the distro-info
 package.

## distro-info 1.0~ab10+1

=== debian/changelog ===
distro-info (1.0~ab10+1) buster-ab-unstable; urgency=medium

  * [5d3c980] python/distro_info_test/pylint.conf (disable): buster build:
    Add "bad-continuation".

 -- Stephan Sürken <absurd@debian.org>  Tue, 28 Sep 2021 19:33:26 +0200

distro-info (1.0) unstable; urgency=medium

  [ Debian Janitor ]
  * Mark libdistro-info-perl as Multi-Arch: foreign.

  [ Stefano Rivera ]
  * Bump standards-Version to 4.5.1, no changes needed.
  * Bump copyright years.
  * Re-black Python.
  * Add support for Debian LTS (Closes: #782685)
  * Depend on distro-info-data (>= 0.46), with extra columns for
    Debian LTS and Ubuntu ESM.
  * Ignore W503 warnings from flake8, they are PEP-8 incompatible.
  * Handle currently unknown columns in CSV data.
  * Drop old Breaks+Replaces on ubuntu-dev-tools, no longer needed.
  * Reorganise help into a slightly more logical order.
  * Add support for Debian ELTS.
  * Update tests to match old date adjustments in distro-info-data 0.46.

  [ Brian Murray ]
  * Provide support for the milestone eol-esm and add filters for
    supported-esm to ubuntu-distro-info along with the python and perl
    modules. (LP: #1808038)
  * Only include LTS releases when filtering by supported-esm.

  [ Steve Langasek ]
  * Override uninteresting flake8 warnings about imports and doc strings.
  * Don't run tests over the distro_info_test directory, which is pointless
    and recursive.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 29 Jan 2021 13:35:30 -0700

## distro-info 1.0

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,21 @@
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               distro-info-data (>= 0.7~),
+               distro-info-data (>= 0.46),
                pylint (>= 2.2.2-2~),
                python3-all,
                python3-flake8,
                python3-setuptools,
                shunit2 (>= 2.1.6)
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/distro-info.git
 Vcs-Browser: https://salsa.debian.org/debian/distro-info
 
 Package: distro-info
 Architecture: any
-Depends: distro-info-data (>= 0.7~), ${misc:Depends}, ${shlibs:Depends}
+Depends: distro-info-data (>= 0.46), ${misc:Depends}, ${shlibs:Depends}
 Suggests: shunit2 (>= 2.1.6)
-Breaks: ubuntu-dev-tools (<< 0.133~)
-Replaces: ubuntu-dev-tools (<< 0.127~)
 Description: provides information about the distributions' releases
  Information about all releases of Debian and Ubuntu. The distro-info script
  will give you the codename for e.g. the latest stable release of your
@@ -31,7 +29,8 @@
 Package: libdistro-info-perl
 Architecture: all
 Section: perl
-Depends: distro-info-data, ${misc:Depends}, ${perl:Depends}
+Depends: distro-info-data (>= 0.46), ${misc:Depends}, ${perl:Depends}
+Multi-Arch: foreign
 Description: information about distributions' releases (Perl module)
  Information about all releases of Debian and Ubuntu.
  .
@@ -41,7 +40,7 @@
 Package: python3-distro-info
 Architecture: all
 Section: python
-Depends: distro-info-data, ${misc:Depends}, ${python3:Depends}
+Depends: distro-info-data (>= 0.46), ${misc:Depends}, ${python3:Depends}
 Description: information about distributions' releases (Python 3 module)
  Information about all releases of Debian and Ubuntu.
  .

## distro-info 1.0%2Bdeb11u1

=== debian/tests/control ===
--- 
+++ 
@@ -7,6 +7,9 @@
 Features: test-name=test-ubuntu-distro-info
 
 Test-Command: cp -r python/distro_info_test python/*-distro-info python/setup.py "$AUTOPKGTEST_TMP"; for py in $(py3versions -r 2>/dev/null); do cd "$AUTOPKGTEST_TMP"; echo "Testing with $py:"; $py -m unittest discover -v; done
-Depends: pylint, python3-all, python3-distro-info, python3-flake8
+Depends: pylint (>= 2.2.2-2~) | pylint3,
+         python3-all,
+         python3-distro-info,
+         python3-flake8
 Restrictions: allow-stderr
 Features: test-name=python3-unittest

## distro-info 1.0+deb11u1

=== debian/changelog ===
distro-info (1.0+deb11u1) bullseye; urgency=medium

  * python:
    - Assert that Python version is PEP440 compliant
    - Handle more Debian versions correctly in make_pep440_compliant
  * Update tests for distro-info-data 0.51+deb11u5, which adjusted Debian 7's
    EoL (Closes: #1054946)

 -- Stefano Rivera <stefanor@debian.org>  Sun, 29 Oct 2023 14:48:16 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               distro-info-data (>= 0.46),
+               distro-info-data (>= 0.51+deb11u5~),
                pylint (>= 2.2.2-2~),
                python3-all,
                python3-flake8,

## distro-info 1.1~ab11+1

=== debian/changelog ===
distro-info (1.1~ab11+1) bullseye-ab-unstable; urgency=medium

  * Automated port via mini-buildd (no changes). Original DSC's SHA1:
    e2ea3a3e41ada8234e44640e528c96af1cef478c.
  * External port from: https://deb.debian.org/debian/pool/main/d/distro-
    info/distro-info_1.1.dsc
  * MINI_BUILDD_OPTION: lintian-mode=ignore

 -- mini-buildd archive hellfield <mini-buildd@hellfield.olx.intra>  Sat, 14 May 2022 16:20:37 +0200

distro-info (1.1) unstable; urgency=medium

  * Man pages and help: Clarify that --supported includes development releases
    (Closes: #902167, LP: #1727751)
  * Update Python module to satisfy pylint 2.11 (Closes: #998598)
  * Python: Drop object inheritance in classes, we no longer need to support
    2.7.
  * Re-black python.
  * Bump Standards-Version to 4.6.0, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 04 Nov 2021 14:27:37 -0700

## distro-info 1.1build1

=== shell/Makefile ===
PREFIX ?= /usr
VENDOR ?= $(shell dpkg-vendor --query Vendor | tr '[:upper:]' '[:lower:]')

build: debian-distro-info ubuntu-distro-info

%-distro-info: %-distro-info.in distro-info-util.sh
	sed -e '/^\. .*distro-info-util.sh\"$$/r distro-info-util.sh' $< | \
		sed -e '/^##/d;/^\. .*distro-info-util.sh\"$$/d' | \
		python3 -c 'import re,sys;print(re.sub("(?<=\n)#BEGIN \w*#\n(.|\n)*?\n#END \w*#\n", "", re.sub("(?<=\n)#(BEGIN|END) $*#\n", "", sys.stdin.read())), end="")' > $@
	chmod +x $@

install: debian-distro-info ubuntu-distro-info
	install -d $(DESTDIR)$(PREFIX)/bin
	install -m 755 $^ $(DESTDIR)$(PREFIX)/bin
	ln -s $(VENDOR)-distro-info $(DESTDIR)$(PREFIX)/bin/distro-info

clean:
	rm -f debian-distro-info ubuntu-distro-info

.PHONY: build clean install

=== debian/changelog ===
distro-info (1.1build1) jammy; urgency=medium

  * No-change rebuild for ppc64el baseline bump.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 23 Mar 2022 14:50:40 +0100

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               distro-info-data (>= 0.51+deb11u5~),
+               distro-info-data (>= 0.46),
                pylint (>= 2.2.2-2~),
                python3-all,
                python3-flake8,
                python3-setuptools,
                shunit2 (>= 2.1.6)
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/distro-info.git
 Vcs-Browser: https://salsa.debian.org/debian/distro-info

## distro-info 1.1build1%2B11.0trisquel2

=== Makefile ===
define \n


endef

PREFIX ?= /usr
VENDOR ?= $(shell dpkg-vendor --query Vendor | tr '[:upper:]' '[:lower:]')

CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
CFLAGS += -Wall -Wextra -g -O2 -std=gnu99
LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)

build: debian-distro-info trisquel-distro-info

%-distro-info: %-distro-info.c distro-info-util.*
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $<

install: debian-distro-info trisquel-distro-info
	install -d $(DESTDIR)$(PREFIX)/bin
	install -m 755 $^ $(DESTDIR)$(PREFIX)/bin
	ln -s $(VENDOR)-distro-info $(DESTDIR)$(PREFIX)/bin/distro-info
	install -d $(DESTDIR)$(PREFIX)/share/man/man1
	install -m 644 $(wildcard doc/*.1) $(DESTDIR)$(PREFIX)/share/man/man1
	install -d $(DESTDIR)$(PREFIX)/share/perl5/Debian
	install -m 644 $(wildcard perl/Debian/*.pm) $(DESTDIR)$(PREFIX)/share/perl5/Debian
	cd python && python3 setup.py install --root="$(DESTDIR)" --no-compile --install-layout=deb

test: test-commandline test-perl test-python

test-commandline: debian-distro-info trisquel-distro-info
	./test-debian-distro-info
	./test-trisquel-distro-info

test-perl:
	cd perl && ./test.pl

test-python:
	$(foreach python,$(shell py3versions -r),cd python && $(python) setup.py test$(\n))

clean:
	rm -rf debian-distro-info trisquel-distro-info python/build python/*.egg-info python/.pylint.d
	find python -name '*.pyc' -delete

.PHONY: build clean install test test-commandline test-perl test-python

=== haskell/Makefile ===
PREFIX ?= /usr
VENDOR ?= $(shell dpkg-vendor --query Vendor | tr '[:upper:]' '[:lower:]')
GHC_FLAGS := -Wall -O2

build: debian-distro-info trisquel-distro-info

debian-distro-info: DebianDistroInfo.hs DistroInfo.hs
	ghc $(GHC_FLAGS) -o $@ --make -main-is DebianDistroInfo $<

test-distro-info: TestDistroInfo.hs DistroInfo.hs
	ghc $(GHC_FLAGS) -o $@ --make -main-is TestDistroInfo $<

trisquel-distro-info: TrisquelDistroInfo.hs DistroInfo.hs
	ghc $(GHC_FLAGS) -o $@ --make -main-is TrisquelDistroInfo $<

install: debian-distro-info trisquel-distro-info
	install -d $(DESTDIR)$(PREFIX)/bin
	install -m 755 $^ $(DESTDIR)$(PREFIX)/bin
	ln -s $(VENDOR)-distro-info $(DESTDIR)$(PREFIX)/bin/distro-info

test: test-distro-info
	./test-distro-info

clean:
	rm -f *-distro-info *.hi *.o

.PHONY: build clean install test

=== shell/Makefile ===
PREFIX ?= /usr
VENDOR ?= $(shell dpkg-vendor --query Vendor | tr '[:upper:]' '[:lower:]')

build: debian-distro-info trisquel-distro-info

%-distro-info: %-distro-info.in distro-info-util.sh
	sed -e '/^\. .*distro-info-util.sh\"$$/r distro-info-util.sh' $< | \
		sed -e '/^##/d;/^\. .*distro-info-util.sh\"$$/d' | \
		python3 -c 'import re,sys;print(re.sub("(?<=\n)#BEGIN \w*#\n(.|\n)*?\n#END \w*#\n", "", re.sub("(?<=\n)#(BEGIN|END) $*#\n", "", sys.stdin.read())), end="")' > $@
	chmod +x $@

install: debian-distro-info trisquel-distro-info
	install -d $(DESTDIR)$(PREFIX)/bin
	install -m 755 $^ $(DESTDIR)$(PREFIX)/bin
	ln -s $(VENDOR)-distro-info $(DESTDIR)$(PREFIX)/bin/distro-info

clean:
	rm -f debian-distro-info trisquel-distro-info

.PHONY: build clean install

=== debian/changelog ===
distro-info (1.1build1+11.0trisquel2) aramo; urgency=medium

  * Reworking and branding Trisquel GNU/Linux distro info.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 15 Jun 2022 19:21:40 +0000

=== debian/control ===
--- 
+++ 
@@ -21,10 +21,10 @@
 Depends: distro-info-data (>= 0.46), ${misc:Depends}, ${shlibs:Depends}
 Suggests: shunit2 (>= 2.1.6)
 Description: provides information about the distributions' releases
- Information about all releases of Debian and Ubuntu. The distro-info script
+ Information about all releases of Debian and Trisquel. The distro-info script
  will give you the codename for e.g. the latest stable release of your
  distribution. To get information about a specific distribution there are the
- debian-distro-info and the ubuntu-distro-info scripts.
+ debian-distro-info and the trisquel-distro-info scripts.
 
 Package: libdistro-info-perl
 Architecture: all
@@ -32,7 +32,7 @@
 Depends: distro-info-data (>= 0.46), ${misc:Depends}, ${perl:Depends}
 Multi-Arch: foreign
 Description: information about distributions' releases (Perl module)
- Information about all releases of Debian and Ubuntu.
+ Information about all releases of Debian and Trisquel.
  .
  This package contains a Perl module for parsing the data in distro-info-data.
  There is also a command line interface in the distro-info package.
@@ -42,7 +42,7 @@
 Section: python
 Depends: distro-info-data (>= 0.46), ${misc:Depends}, ${python3:Depends}
 Description: information about distributions' releases (Python 3 module)
- Information about all releases of Debian and Ubuntu.
+ Information about all releases of Debian and Trisquel.
  .
  This package contains a Python 3 module for parsing the data in
  distro-info-data. There is also a command line interface in the distro-info

=== debian/tests/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Depends: distro-info, shunit2 (>= 2.1.6)
 Features: test-name=test-debian-distro-info
 
-Test-Command: COMMAND=/usr/bin/ubuntu-distro-info ./test-ubuntu-distro-info
+Test-Command: COMMAND=/usr/bin/trisquel-distro-info ./test-trisquel-distro-info
 Depends: distro-info, shunit2 (>= 2.1.6)
-Features: test-name=test-ubuntu-distro-info
+Features: test-name=test-trisquel-distro-info
 
 Test-Command: cp -r python/distro_info_test python/*-distro-info python/setup.py "$AUTOPKGTEST_TMP"; for py in $(py3versions -r 2>/dev/null); do cd "$AUTOPKGTEST_TMP"; echo "Testing with $py:"; $py -m unittest discover -v; done
 Depends: pylint (>= 2.2.2-2~) | pylint3,

## distro-info 1.1ubuntu0.1

=== debian/changelog ===
distro-info (1.1ubuntu0.1) jammy; urgency=medium

  * python: Use PEP440 compliant version in setup.py (LP: #1991606)

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 25 Apr 2023 15:30:42 +0200

## distro-info 1.1ubuntu0.2

=== debian/changelog ===
distro-info (1.1ubuntu0.2) jammy; urgency=medium

  * Update tests for distro-info-data 0.52ubuntu0.6, which adjusted
    Debian 7's EoL (LP: #2041662)

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 28 Nov 2023 13:18:32 +0100

=== debian/control ===
Source: distro-info
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Benjamin Drung <bdrung@debian.org>
Uploaders: Stefano Rivera <stefanor@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               distro-info-data (>= 0.52ubuntu0.6~),
               pylint (>= 2.2.2-2~),
               python3-all,
               python3-flake8,
               python3-setuptools,
               shunit2 (>= 2.1.6)
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/distro-info.git
Vcs-Browser: https://salsa.debian.org/debian/distro-info

Package: distro-info
Architecture: any
Depends: distro-info-data (>= 0.46), ${misc:Depends}, ${shlibs:Depends}
Suggests: shunit2 (>= 2.1.6)
Description: provides information about the distributions' releases
 Information about all releases of Debian and Ubuntu. The distro-info script
 will give you the codename for e.g. the latest stable release of your
 distribution. To get information about a specific distribution there are the
 debian-distro-info and the ubuntu-distro-info scripts.

Package: libdistro-info-perl
Architecture: all
Section: perl
Depends: distro-info-data (>= 0.46), ${misc:Depends}, ${perl:Depends}
Multi-Arch: foreign
Description: information about distributions' releases (Perl module)
 Information about all releases of Debian and Ubuntu.
 .
 This package contains a Perl module for parsing the data in distro-info-data.
 There is also a command line interface in the distro-info package.

Package: python3-distro-info
Architecture: all
Section: python
Depends: distro-info-data (>= 0.46), ${misc:Depends}, ${python3:Depends}
Description: information about distributions' releases (Python 3 module)
 Information about all releases of Debian and Ubuntu.
 .
 This package contains a Python 3 module for parsing the data in
 distro-info-data. There is also a command line interface in the distro-info
 package.

=== debian/tests/control ===
Test-Command: COMMAND=/usr/bin/debian-distro-info ./test-debian-distro-info
Depends: distro-info, distro-info-data (>= 0.52ubuntu0.6~), shunit2 (>= 2.1.6)
Features: test-name=test-debian-distro-info

Test-Command: COMMAND=/usr/bin/ubuntu-distro-info ./test-ubuntu-distro-info
Depends: distro-info, shunit2 (>= 2.1.6)
Features: test-name=test-ubuntu-distro-info

Test-Command: cp -r python/distro_info_test python/*-distro-info python/setup.py "$AUTOPKGTEST_TMP"; for py in $(py3versions -r 2>/dev/null); do cd "$AUTOPKGTEST_TMP"; echo "Testing with $py:"; $py -m unittest discover -v; done
Depends: pylint (>= 2.2.2-2~) | pylint3,
         python3-all,
         python3-distro-info,
         python3-flake8
Restrictions: allow-stderr
Features: test-name=python3-unittest

## distro-info 1.1ubuntu1

=== debian/changelog ===
distro-info (1.1ubuntu1) kinetic; urgency=medium

  * python: Use PEP440 compliant version in setup.py (LP: #1991606)

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 08 Oct 2022 02:50:34 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               distro-info-data (>= 0.52ubuntu0.6~),
+               distro-info-data (>= 0.46),
                pylint (>= 2.2.2-2~),
                python3-all,
                python3-flake8,

## distro-info 1.2

=== debian/changelog ===
distro-info (1.2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on shunit2.
    + distro-info: Drop versioned constraint on shunit2 in Suggests.

  [ Stefano Rivera ]
  * Update pylint config to fix FTBFS with pylint 2.15.
  * Support the nocheck build profile.
  * Bump Standards-Version to 4.6.1, no changes needed.

  [ Benjamin Drung ]
  * python: Update test cases
  * python: Format Python code with black
  * python: Sort imports with isort
  * python: Cover distro_info_test by linters as well
  * python: Use PEP440 compliant version in setup.py (LP: #1991606)

 -- Stefano Rivera <stefanor@debian.org>  Sat, 15 Oct 2022 19:03:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: distro-info
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Benjamin Drung <bdrung@debian.org>
+Maintainer: Benjamin Drung <bdrung@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: black <!nocheck>,
+               debhelper-compat (= 13),
                dh-python,
-               distro-info-data (>= 0.46),
-               pylint (>= 2.2.2-2~),
+               distro-info-data (>= 0.46) <!nocheck>,
+               isort <!nocheck>,
+               pylint (>= 2.2.2-2~) <!nocheck>,
                python3-all,
-               python3-flake8,
+               python3-flake8 <!nocheck>,
                python3-setuptools,
-               shunit2 (>= 2.1.6)
-Standards-Version: 4.6.0
+               shunit2 <!nocheck>
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/distro-info.git
 Vcs-Browser: https://salsa.debian.org/debian/distro-info
@@ -20,7 +21,7 @@
 Package: distro-info
 Architecture: any
 Depends: distro-info-data (>= 0.46), ${misc:Depends}, ${shlibs:Depends}
-Suggests: shunit2 (>= 2.1.6)
+Suggests: shunit2
 Description: provides information about the distributions' releases
  Information about all releases of Debian and Ubuntu. The distro-info script
  will give you the codename for e.g. the latest stable release of your

=== debian/tests/control ===
Test-Command: COMMAND=/usr/bin/debian-distro-info ./test-debian-distro-info
Depends: distro-info, shunit2 (>= 2.1.6)
Features: test-name=test-debian-distro-info

Test-Command: COMMAND=/usr/bin/ubuntu-distro-info ./test-ubuntu-distro-info
Depends: distro-info, shunit2 (>= 2.1.6)
Features: test-name=test-ubuntu-distro-info

Test-Command: cp -r python/distro_info_test python/*-distro-info python/setup.py "$AUTOPKGTEST_TMP"; for py in $(py3versions -r 2>/dev/null); do cd "$AUTOPKGTEST_TMP"; echo "Testing with $py:"; $py -m unittest discover -v; done
Depends: black,
         isort,
         pylint (>= 2.2.2-2~) | pylint3,
         python3-all,
         python3-distro-info,
         python3-flake8
Restrictions: allow-stderr
Features: test-name=python3-unittest

## distro-info 1.3

=== debian/changelog ===
distro-info (1.3) unstable; urgency=medium

  * Team upload.
  * Use pylint executable for tests
  * Use dh-sequence-python3

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 16 Jan 2023 09:53:47 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends: black <!nocheck>,
                debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                distro-info-data (>= 0.46) <!nocheck>,
                isort <!nocheck>,
                pylint (>= 2.2.2-2~) <!nocheck>,

## distro-info 1.5

=== debian/changelog ===
distro-info (1.5) unstable; urgency=medium

  * Skip mypy on i386 (not available on Ubuntu)

 -- Benjamin Drung <bdrung@debian.org>  Fri, 03 Feb 2023 10:41:15 +0100

distro-info (1.4) unstable; urgency=medium

  * python:
    - Assert that Python version is PEP440 compliant
    - Handle more Debian versions correctly in make_pep440_compliant
    - Use result="codename" as default everywhere
    - Require 'created' field to be set because it is needed by is_supported()
    - Check dates to be set before comparing them
    - Add type annotations and check them with mypy
  * Bump Standards-Version to 4.6.2

 -- Benjamin Drung <bdrung@debian.org>  Mon, 30 Jan 2023 12:08:37 +0100

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,14 @@
                dh-sequence-python3,
                distro-info-data (>= 0.46) <!nocheck>,
                isort <!nocheck>,
+               mypy [!i386] <!nocheck>,
                pylint (>= 2.2.2-2~) <!nocheck>,
                python3-all,
                python3-flake8 <!nocheck>,
                python3-setuptools,
+               python3-typeshed <!nocheck>,
                shunit2 <!nocheck>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/distro-info.git
 Vcs-Browser: https://salsa.debian.org/debian/distro-info

## distro-info 1.5ubuntu0.23.04.1

=== debian/changelog ===
distro-info (1.5ubuntu0.23.04.1) lunar; urgency=medium

  * Update tests for distro-info-data 0.57ubuntu0.3, which adjusted
    Debian 7's EoL (LP: #2041662)

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 28 Nov 2023 13:15:14 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: black <!nocheck>,
                debhelper-compat (= 13),
                dh-sequence-python3,
-               distro-info-data (>= 0.46) <!nocheck>,
+               distro-info-data (>= 0.57ubuntu0.3~) <!nocheck>,
                isort <!nocheck>,
                mypy [!i386] <!nocheck>,
                pylint (>= 2.2.2-2~) <!nocheck>,

=== debian/tests/control ===
Test-Command: COMMAND=/usr/bin/debian-distro-info ./test-debian-distro-info
Depends: distro-info, distro-info-data (>= 0.57ubuntu0.3~), shunit2 (>= 2.1.6)
Features: test-name=test-debian-distro-info

Test-Command: COMMAND=/usr/bin/ubuntu-distro-info ./test-ubuntu-distro-info
Depends: distro-info, shunit2 (>= 2.1.6)
Features: test-name=test-ubuntu-distro-info

Test-Command: cp -r python/distro_info_test python/*-distro-info python/setup.py "$AUTOPKGTEST_TMP"; for py in $(py3versions -r 2>/dev/null); do cd "$AUTOPKGTEST_TMP"; echo "Testing with $py:"; $py -m unittest discover -v; done
Depends: black,
         isort,
         mypy [!i386],
         pylint (>= 2.2.2-2~) | pylint3,
         python3-all,
         python3-distro-info,
         python3-flake8,
         python3-typeshed
Restrictions: allow-stderr
Features: test-name=python3-unittest

## distro-info 1.5ubuntu0.23.10.1

=== debian/changelog ===
distro-info (1.5ubuntu0.23.10.1) mantic; urgency=medium

  * Update tests for distro-info-data 0.58ubuntu0.2, which adjusted
    Debian 7's EoL (LP: #2041662)

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 28 Nov 2023 13:05:33 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: black <!nocheck>,
                debhelper-compat (= 13),
                dh-sequence-python3,
-               distro-info-data (>= 0.57ubuntu0.3~) <!nocheck>,
+               distro-info-data (>= 0.58ubuntu0.2~) <!nocheck>,
                isort <!nocheck>,
                mypy [!i386] <!nocheck>,
                pylint (>= 2.2.2-2~) <!nocheck>,

=== debian/tests/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Test-Command: COMMAND=/usr/bin/debian-distro-info ./test-debian-distro-info
-Depends: distro-info, distro-info-data (>= 0.57ubuntu0.3~), shunit2 (>= 2.1.6)
+Depends: distro-info, distro-info-data (>= 0.58ubuntu0.2~), shunit2 (>= 2.1.6)
 Features: test-name=test-debian-distro-info
 
 Test-Command: COMMAND=/usr/bin/ubuntu-distro-info ./test-ubuntu-distro-info
